com.amazonaws.codegen.utils

## Class CompositeIterable<T>

- java.lang.Object
- - com.amazonaws.codegen.utils.CompositeIterable<T>

All Implemented Interfaces:
  Iterable<T>

    public class CompositeIterable<T>
    extends Object
    implements Iterable<T>

### Constructor Summary

Constructors
Constructor and Description
`CompositeIterable(Iterable<Iterable<T>> iterables)`
`CompositeIterable(Iterable<T>... iterables)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Iterator<T>` `iterator()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Constructor Detail

#### CompositeIterable

    public CompositeIterable(Iterable<Iterable<T>> iterables)

#### CompositeIterable

    @SafeVarargs
    public CompositeIterable(Iterable<T>... iterables)

### Method Detail

#### iterator

    public Iterator<T> iterator()

Specified by:
  `iterator` in interface `Iterable<T>`